Bug 1032857 - [abrt] sound-juicer-3.5.0-4.fc19: __gmpz_clear: Process /usr/bin/sound-juicer was killed by signal 11 (SIGSEGV)
[abrt] sound-juicer-3.5.0-4.fc19: __gmpz_clear: Process /usr/bin/sound-juicer...
Status: CLOSED DUPLICATE of bug 1029394
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b2a96dd11813a3f6415aa9a409e...
:
: 1039759 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 22:16 EST by Mitch Davis
Modified: 2014-01-02 05:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 05:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.74 KB, text/plain)
2013-11-20 22:16 EST, Mitch Davis
no flags Details
File: cgroup (140 bytes, text/plain)
2013-11-20 22:16 EST, Mitch Davis
no flags Details
File: core_backtrace (18.38 KB, text/plain)
2013-11-20 22:16 EST, Mitch Davis
no flags Details
File: dso_list (13.21 KB, text/plain)
2013-11-20 22:16 EST, Mitch Davis
no flags Details
File: environ (1.45 KB, text/plain)
2013-11-20 22:16 EST, Mitch Davis
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-20 22:16 EST, Mitch Davis
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 22:17 EST, Mitch Davis
no flags Details
File: maps (65.48 KB, text/plain)
2013-11-20 22:17 EST, Mitch Davis
no flags Details
File: open_fds (1.27 KB, text/plain)
2013-11-20 22:17 EST, Mitch Davis
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-11-20 22:17 EST, Mitch Davis
no flags Details

  None (edit)
Description Mitch Davis 2013-11-20 22:16:26 EST
Description of problem:
Recently I changed the sound juicer profile from MP3 encode (which doesn't work) to Ogg.  Now, when I start sound juicer, it pops up, but as soon as I mouse over the main window, the app crashes.  This is repeatable.

Version-Release number of selected component:
sound-juicer-3.5.0-4.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        sound-juicer
crash_function: __gmpz_clear
executable:     /usr/bin/sound-juicer
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            602
var_log_messages: Nov 21 14:07:57 xiaomao abrt-hook-ccpp[533]: Saved core dump of pid 513 (/usr/bin/sound-juicer) to /var/tmp/abrt/ccpp-2013-11-21-14:07:56-513 (92168192 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __gmpz_clear at ../../mpz/clear.c:28
 #1 mp_clear_multi at multi.c:38
 #2 ecc_del_point at ecc_points.c:62
 #3 _ecc_wmnaf_cache_entry_free at ecc_mulmod_cached.c:55
 #4 ecc_wmnaf_cache_free at ecc_mulmod_cached.c:70
 #5 gnutls_crypto_deinit at init.c:44
 #6 gnutls_global_deinit at gnutls_global.c:304
 #7 MusicBrainz5::CHTTPFetch::Fetch at /usr/src/debug/libmusicbrainz-5.0.1/src/HTTPFetch.cc:232
 #8 MusicBrainz5::CQuery::PerformQuery at /usr/src/debug/libmusicbrainz-5.0.1/src/Query.cc:145
 #9 MusicBrainz5::CQuery::Query at /usr/src/debug/libmusicbrainz-5.0.1/src/Query.cc:253

Potential duplicate: bug 1028730
Comment 1 Mitch Davis 2013-11-20 22:16:36 EST
Created attachment 826966 [details]
File: backtrace
Comment 2 Mitch Davis 2013-11-20 22:16:40 EST
Created attachment 826967 [details]
File: cgroup
Comment 3 Mitch Davis 2013-11-20 22:16:45 EST
Created attachment 826968 [details]
File: core_backtrace
Comment 4 Mitch Davis 2013-11-20 22:16:49 EST
Created attachment 826969 [details]
File: dso_list
Comment 5 Mitch Davis 2013-11-20 22:16:52 EST
Created attachment 826970 [details]
File: environ
Comment 6 Mitch Davis 2013-11-20 22:16:58 EST
Created attachment 826971 [details]
File: exploitable
Comment 7 Mitch Davis 2013-11-20 22:17:01 EST
Created attachment 826972 [details]
File: limits
Comment 8 Mitch Davis 2013-11-20 22:17:07 EST
Created attachment 826973 [details]
File: maps
Comment 9 Mitch Davis 2013-11-20 22:17:11 EST
Created attachment 826974 [details]
File: open_fds
Comment 10 Mitch Davis 2013-11-20 22:17:15 EST
Created attachment 826975 [details]
File: proc_pid_status
Comment 11 Christophe Fergeau 2013-12-10 03:56:21 EST
*** Bug 1039759 has been marked as a duplicate of this bug. ***
Comment 12 Alan Simmons 2013-12-17 11:11:09 EST
Another user experienced a similar problem:

just installed the program. It has never been run successfully.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        sound-juicer
crash_function: mp_clear_multi
executable:     /usr/bin/sound-juicer
kernel:         3.11.10-200.fc19.x86_64
package:        sound-juicer-3.5.0-4.fc19
reason:         sound-juicer killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Daniel Berrange 2013-12-26 09:07:09 EST
This looks like this gnutls bug https://bugzilla.redhat.com/show_bug.cgi?id=1046672
Comment 14 Christophe Fergeau 2014-01-02 05:28:45 EST

*** This bug has been marked as a duplicate of bug 1029394 ***

Note You need to log in before you can comment on or make changes to this bug.